Puzzle / Developers
API referenceReports

Get Financial Statements

POST /company/{id}/financialStatements

POST/company/{id}/financialStatements

Path Parameters

id*string

The company ID

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/company/string/financialStatements" \  -H "Content-Type: application/json" \  -d '{    "key": "income_statement",    "intervals": [      {        "key": "string",        "periods": [          "string"        ]      }    ]  }'
{  "lines": [    {      "id": "string",      "parentId": "string",      "childIds": [        "string"      ],      "depth": 0,      "name": "string",      "type": "account",      "amountType": "credit",      "accountNumber": "string",      "accountId": "string",      "intervals": [        {          "amount": "string"        }      ]    }  ],  "properties": {    "basis": "cash",    "currency": "str",    "key": "income_statement",    "name": "string",    "intervals": [      {        "key": "string",        "periods": [          "string"        ]      }    ]  }}

Schema refreshed 2026-11-11T18:57:48.657Z